import React, {useEffect, useState} from 'react'
import {MainRightContentTittle,MeetingDetailRight,CopySuccess} from '../style'

const Detail = props => {
  const { meetingInfo } = props
  const [copysuccess,setCopysuccess] = useState(false)
  const [copyhtml,setCopyhtml] = useState("")
  const [copyInfo,setCopyInfo] = useState("")

  const [time,setTime]= useState("")
  const [lastTime,setLastTime]= useState("")
  const [meetingLink]= useState(window.location.href)
  //是否复制信息
  const [copyIng,setCopyIng]= useState(false)

  useEffect(()=>{
    if (meetingInfo.start_time) {
      const startTime = meetingInfo.start_time;
      const duration = meetingInfo.duration;
      const time =
        startTime.slice(0, 10) + "\u0020" + startTime.slice(11, 16) + "开始";
      setTime(time)
      if (duration === 0) {
        setLastTime("手动结束")
      } else {
        const lastTime =
          "时长" +
          parseInt(duration / 60) +
          "小时" +
          (duration % 60 !== 0 ? (duration % 60) + "分钟" : "");
          setLastTime(lastTime)
      }
    }
  },[])
  
  const copyhref = () => {
    setCopyInfo(meetingLink);
    setCopysuccess(true)
    setCopyhtml("会议链接复制成功")
    setCopyIng(true)
   
  };
  const handleCopyExecComand = () =>{
    document.getElementById("copyInfo").select();
    document.execCommand("copy");
    setTimeout(()=>{
      setCopysuccess(false);
      setCopyIng(false)
    },2000) 
  }
  const copy = (time, lastTime) => {
    let copyText =
      "会议名称：" +
      meetingInfo.name +
      "\n" +
      "时间：\u3000\u3000" +
      time +
      "，" +
      lastTime +
      "\n" +
      "会议号：\u3000" +
      meetingInfo.conf_id +
      "\n" +
      // "会议密码：" +
      // (this.props.meetingInfo.password.length > 0
      //   ? this.props.meetingInfo.password
      //   : "无") +
      // "\n" +
      "会议链接：" +
      meetingLink;
      setCopysuccess(true);
      setCopyInfo(copyText);
      setCopyhtml("会议信息复制成功")
      setCopyIng(true)
   
  };
  const onchange = (e) => {
    setCopyInfo(e.target.value)
  };
  useEffect(()=>{
    if(copyIng){
      handleCopyExecComand()
    }
  },[copyIng])  

  return (
    <>
      <MainRightContentTittle>
        <span className="add">邀请与会方</span>
      </MainRightContentTittle>
      <MeetingDetailRight className="memberListRightWrap">
        <div className="addContent">
          <div className="copyDetail">
            <div
              className="copy"
              onClick={()=>{
                copy(time,lastTime)
              }}
            >
              复制会议信息
            </div>
          </div>
          <div className="meetingInfo">
            <div>会议名称：</div>
            <div className="margin">{meetingInfo.name}</div>
          </div>
          <div className="meetingInfo">
            <div>时间：</div>
            <div className="margin">{time}</div>
            <div>{lastTime}</div>
          </div>
          <div className="meetingInfo">
            <div>会议号：</div>
            <div className="margin">{meetingInfo.conf_id}</div>
          </div>


          <div className="meetingInfo">
            <div>
              会议链接：
            <span className="href" onClick={()=>copyhref()}>
              复制链接
            </span>
            </div>
            <div className="margin">{meetingLink}</div>
          </div>
        </div>

      </MeetingDetailRight>
      <CopySuccess  className={copysuccess ? "" : "fade"}>
        <span>{copyhtml}</span>
        <textarea
          id="copyInfo"
          value={copyInfo}
          onChange={(e)=>onchange(e)}
        >{copyInfo}</textarea>
      </CopySuccess>
    </>
  );
}

export default Detail



